org.apache.felix.http.jetty

## Interface LoadBalancerCustomizerFactory

    @ConsumerType
    public interface LoadBalancerCustomizerFactory

The `LoadBalancerCustomizerFactory` is a service interface which allows extensions to inject custom Jetty `Customizer` instances to add to the Jetty server in order to handle the Proxy Load Balancer connection. `LoadBalancerCustomizerFactory` services are responsible for creating the `Customizer` instances and providing base configuration.

Since:
  2.1

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.jetty.server.HttpConfiguration.Customizer` `createCustomizer()` Creates new Jetty `Customizer` instances.

### Method Detail

#### createCustomizer

    org.eclipse.jetty.server.HttpConfiguration.Customizer createCustomizer()

Creates new Jetty `Customizer` instances.

Returns:
  A configured Jetty `Customizer` instance or `null` if the customizer can't be created.